package egovframework.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

@Getter
@Setter
@ToString
public class NoticeVO {

    private String boardId;
    private int    boardNo;
    private String regDate;
    private String bSubject;
    private String bContent;
    private String webUserId;
    private String attachFile;
    private String attachFileId;
    private String parentBoardNo;
    private String bWriter;
    private String bNotice;
    private int    readCount;
    private String remark;
    private List<String> attachFiles;
    private List<String> attachFileIds;
    private String attachfile1;
    private String attachfile2;
    private String attachfile3;
    private String nextNo;
    private String prevNo;

    public void setbSubject(String bSubject) {
        this.bSubject = bSubject;
    }

    public void setbContent(String bContent) {
        this.bContent = bContent;
    }

    public void setbWriter(String bWriter) {
        this.bWriter = bWriter;
    }

    public void setbNotice(String bNotice) {
        this.bNotice = bNotice;
    }

    public String getbSubject() {
        return bSubject;
    }

    public String getbContent() {
        return bContent;
    }

    public String getbWriter() {
        return bWriter;
    }

    public String getbNotice() {
        return bNotice;
    }
}
